package org.rotxo.vmetro;

/**
 * Created by Rotxo on 10/11/2015.
 */
import android.app.Dialog;
import android.app.TimePickerDialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.support.v4.app.DialogFragment;
import android.widget.TimePicker;
public class DialogoHora extends DialogFragment {
    private int timeHour;
    private int timeMinute;
    private Handler handler;



    public DialogoHora(Handler handler){
        this.handler = handler;
    }
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        Bundle bundle = getArguments();
        timeHour = bundle.getInt(Comunes.HOUR);
        timeMinute = bundle.getInt(Comunes.MINUTE);
        TimePickerDialog.OnTimeSetListener listener = new TimePickerDialog.OnTimeSetListener() {
            public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
                timeHour = hourOfDay;
                timeMinute = minute;
                Bundle b = new Bundle();
                b.putInt(Comunes.HOUR, timeHour);
                b.putInt(Comunes.MINUTE, timeMinute);
                Message msg = new Message();
                msg.setData(b);
                handler.sendMessage(msg);
            }
        };
        return new TimePickerDialog(getActivity(), listener, timeHour, timeMinute, false);
    }
}