package org.rotxo.vmetro;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.Vector;

/**
 * Created by Rotxo on 06/11/2015.
 */


class AdaptadoTripListado extends ArrayAdapter<HorariosTrip> {




    Vector<HorariosTrip> dat;
    public AdaptadoTripListado(Context context, Vector<HorariosTrip> datos) {

        super(context, R.layout.elemento_ruta, datos);
        dat=datos;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = LayoutInflater.from(getContext());
        View item = inflater.inflate(R.layout.elemento_ruta, null);

        TextView titulo = (TextView)item.findViewById(R.id.Rutatitulo);
        Vector<HorariosTrip> datos=getDat();

        titulo.setText(datos.get(position).getTipo());

        TextView subtitulo= (TextView)item.findViewById(R.id.Rutasubtitulo);
        subtitulo.setText(datos.get(position).getTrip_headsign());

        TextView subsubtitulo = (TextView)item.findViewById(R.id.Rutasubsubtitulo);
        subsubtitulo.setText(datos.get(position).getArrival_time());

        return(item);
    }

    public Vector<HorariosTrip> getDat() {
        return dat;
    }
}

