package org.rotxo.vmetro;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.Vector;

/**
 * Created by Rotxo on 06/11/2015.
 */


class AdaptadorHorariosListado extends ArrayAdapter<HorariosListado> {




    Vector<HorariosListado> dat;
    public AdaptadorHorariosListado(Context context, Vector<HorariosListado> datos) {

        super(context, R.layout.elemento_horarios, datos);
        dat=datos;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = LayoutInflater.from(getContext());
        View item = inflater.inflate(R.layout.elemento_horarios, null);

        TextView llegada = (TextView)item.findViewById(R.id.textHora);
        Vector<HorariosListado> datos=getDat();

        llegada.setText(datos.get(position).getLlegada());

        TextView cabecera = (TextView)item.findViewById(R.id.texCabecera);
        cabecera.setText(datos.get(position).getCabecera());

        TextView salida = (TextView)item.findViewById(R.id.textSalida);
        salida.setText(datos.get(position).getSalida());

        return(item);
    }

    public Vector<HorariosListado> getDat() {
        return dat;
    }
}

