package org.rotxo.vmetro;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.Vector;

/**
 * Created by Rotxo on 06/11/2015.
 */


class AdaptadorHorariosTripListado extends ArrayAdapter<HorariosTrip> {




    Vector<HorariosTrip> dat;
    public AdaptadorHorariosTripListado(Context context, Vector<HorariosTrip> datos) {

        super(context, R.layout.elemento_horarios, datos);
        dat=datos;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = LayoutInflater.from(getContext());
        View item = inflater.inflate(R.layout.elemento_horarios, null);

        TextView llegada = (TextView)item.findViewById(R.id.textHora);
        Vector<HorariosTrip> datos=getDat();

        llegada.setText(datos.get(position).getArrival_time());

        TextView cabecera = (TextView)item.findViewById(R.id.texCabecera);
        cabecera.setText(datos.get(position).getTrip_headsign());

        TextView salida = (TextView)item.findViewById(R.id.textSalida);
        salida.setText(datos.get(position).getDeparture_time());

        return(item);
    }

    public Vector<HorariosTrip> getDat() {
        return dat;
    }
}

