package org.rotxo.vmetro;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.Vector;

/**
 * Created by Rotxo on 06/11/2015.
 */


class AdaptadorStopListado extends ArrayAdapter<StopListado> {


    public Vector<StopListado> getDat() {
        return dat;
    }

    Vector<StopListado> dat;
    public AdaptadorStopListado(Context context, Vector<StopListado> datos) {

        super(context, R.layout.elemento_estacion, datos);
        dat=datos;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = LayoutInflater.from(getContext());
        View item = inflater.inflate(R.layout.elemento_estacion, null);

        TextView lblTitulo = (TextView)item.findViewById(R.id.titulo);
        Vector<StopListado> datos=getDat();

        lblTitulo.setText(datos.get(position).getTitulo());

        TextView lblSubtitulo = (TextView)item.findViewById(R.id.subtitulo);
        lblSubtitulo.setText(datos.get(position).getSubtitulo());

        return(item);
    }
}

