package org.rotxo.vmetro;

/**
 * Created by Rotxo on 03/11/2015.
 */
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

public class ArchivoCsv {
    InputStream inputStream;
    public ArchivoCsv (InputStream inputStream){
        this.inputStream = inputStream;
    }
    public List Leer(){
        List resultList = new ArrayList();
        BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream));
        try {
            String csvLine;
            Boolean primera=true;
            while ((csvLine = reader.readLine()) != null) {
                String[] row = csvLine.split(",");
                if (primera)
                {
                    primera=false;
                }else
                {
                    resultList.add(row);
                }
            }
        }
        catch (IOException ex) {
            throw new RuntimeException("Error in reading CSV file: "+ex);
        }
        finally {
            try {
                inputStream.close();
            }
            catch (IOException e) {
                throw new RuntimeException("Error while closing input stream: "+e);
            }
        }
        return resultList;
    }

}
