package org.rotxo.vmetro;

import android.app.Activity;
import android.os.Bundle;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Vector;

/**
 * Created by Rotxo on 07/11/2015.
 */
public class Horarios extends Activity {

    TextView estacion;
    TextView lineas;
    ListView listView;
    ListAdapter listadapter;
    Vector<HorariosListado> listado;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.horarios);
        Bundle extras=getIntent().getExtras();
        String titulo=extras.getString("titulo");
        String subTitulo=extras.getString("subtitulo");
        int idestacion=extras.getInt("estacion");
        estacion=(TextView) findViewById(R.id.textEstacion);
        lineas=(TextView) findViewById(R.id.textLineas);
        estacion.setText(titulo);
        lineas.setText(subTitulo);
        listView = (ListView) findViewById(R.id.listViewHorario);
        MetroSQLite m=new MetroSQLite(this);
        String dia=Comunes.ObtnenerDia();
          listado = m.listaHorariosListados(idestacion,dia);
        listadapter = new AdaptadorHorariosListado(this,listado);


       listView.setAdapter(listadapter);




    }

}