package org.rotxo.vmetro;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;

import java.util.Vector;

/**
 * Created by Rotxo on 07/11/2015.
 */
public class MuestraHorariosTrip extends Activity {

    TextView estacion;
    TextView lineas;
    ListView listView;
    ListAdapter listadapter;
    Vector<HorariosTrip> horariostrip;
    Vector<String> lineasOrigen;
    Vector<String> lineasDestino;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.horarios);
        Bundle extras=getIntent().getExtras();
        String origen=extras.getString(Comunes.ORIGEN);
        String destino=extras.getString(Comunes.DESTINO);
        String hora=extras.getString(Comunes.HORA);

        estacion=(TextView) findViewById(R.id.textEstacion);
        lineas=(TextView) findViewById(R.id.textLineas);
        listView = (ListView) findViewById(R.id.listViewHorario);


        HorariosRuta(origen,destino,hora);



    }

    public  void HorariosRuta(String EstaOrigen,String EstaDestino,String hora)
    {
        MetroSQLite m=new MetroSQLite(this );
        lineasOrigen=new Vector<>();
        lineasDestino=new Vector<>();
        Stops or=new Stops();
        Stops des=new Stops();
        or=m.UnaParada(EstaOrigen);
        des=m.UnaParada(EstaDestino);
        lineasOrigen=m.StopsLineasLista(or.getStop_id());
        lineasDestino=m.StopsLineasLista(des.getStop_id());
        String linea="99";
        String dia=Comunes.ObtnenerDia();
        estacion.setText(or.getStop_name());
        lineas.setText(or.getStop_desc());
        for (int i=0;i<=lineasOrigen.size()-1;i++)
        {
            for (int j=0;j<=lineasDestino.size()-1;j++)
            {
                if (lineasOrigen.get(i).equals(lineasOrigen.get(j)))
                {
                    linea= lineasOrigen.get(i);
                    break;
                }
            }
        }
        //Si las paradasa estan en la misma linea obtenemos los valores de salida
        if (!linea.equals("99"))
        {
            //obtenemos los horarios.

            horariostrip=m.HorariosTripListado(or.getStop_id(),dia,des.getStop_lat(),des.getStop_lon(),hora);
            listadapter = new AdaptadorHorariosTripListado(this,horariostrip);
            listView.setAdapter(listadapter);
            listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {

                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position,
                                        long id) {

                   //caculamos la ruta

                }
            });
        }

    }




}